Orxonox: orxonox::TeamBaseMatchScore Class Reference

# orxonox::TeamBaseMatchScore Class Reference

`#include <src/orxonox/overlays/hud/TeamBaseMatchScore.h>`

Inheritance diagram for orxonox::TeamBaseMatchScore:

List of all members.

## Public Member Functions

virtual void | changedOwner ()
bool | getShowBases () const
bool | getShowLeftTeam () const
bool | getShowRightTeam () const
bool | getShowScore () const
void | setShowBases (bool value)
void | setShowLeftTeam (bool value)
void | setShowRightTeam (bool value)
void | setShowScore (bool value)
| TeamBaseMatchScore (BaseObject *creator)
virtual void | tick (float dt)
| Gets called every frame.
virtual void | XMLPort (Element &xmlelement, XMLPort::Mode mode)
| Loads the OrxonoxOverlay.
virtual | ~TeamBaseMatchScore ()

## Private Attributes

bool | bShowBases_
bool | bShowLeftTeam_
bool | bShowRightTeam_
bool | bShowScore_
TeamBaseMatch * | owner_

## Constructor & Destructor Documentation

orxonox::TeamBaseMatchScore::TeamBaseMatchScore | ( | BaseObject * | creator | ) |

References bShowBases_, bShowLeftTeam_, bShowRightTeam_, bShowScore_, owner_, and RegisterObject.

orxonox::TeamBaseMatchScore::~TeamBaseMatchScore | ( |  | ) | `[virtual]`

## Member Function Documentation

void orxonox::TeamBaseMatchScore::changedOwner | ( |  | ) | `[virtual]`

Reimplemented from orxonox::OrxonoxOverlay.

References orxonox::BaseObject::getGametype(), orxonox::OrxonoxOverlay::getOwner(), owner_, and SUPER.

bool orxonox::TeamBaseMatchScore::getShowBases | ( |  | ) | const`[inline]`

Referenced by XMLPort().

bool orxonox::TeamBaseMatchScore::getShowLeftTeam | ( |  | ) | const`[inline]`

Referenced by XMLPort().

bool orxonox::TeamBaseMatchScore::getShowRightTeam | ( |  | ) | const`[inline]`

Referenced by XMLPort().

bool orxonox::TeamBaseMatchScore::getShowScore | ( |  | ) | const`[inline]`

Referenced by XMLPort().

void orxonox::TeamBaseMatchScore::setShowBases | ( | bool | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::TeamBaseMatchScore::setShowLeftTeam | ( | bool | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::TeamBaseMatchScore::setShowRightTeam | ( | bool | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::TeamBaseMatchScore::setShowScore | ( | bool | value | ) | `[inline]`

Referenced by XMLPort().

void orxonox::TeamBaseMatchScore::tick | ( | float | dt | ) | `[virtual]`

Gets called every frame.

Parameters:

  | dt | The time since the last frame in seconds

Implements orxonox::Tickable.

References bShowBases_, bShowLeftTeam_, bShowRightTeam_, bShowScore_, orxonox::TeamBaseMatch::getTeamBases(), orxonox::TeamBaseMatch::getTeamPoints(), orxonox::multi_cast(), owner_, orxonox::OverlayText::setCaption(), and SUPER.

void orxonox::TeamBaseMatchScore::XMLPort | ( | Element & | xmlElement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[virtual]`

Loads the OrxonoxOverlay.

This has to be called before usage, otherwise strange behaviour is guaranteed! (there should be no segfaults however). XML loading and saving.

Parameters:

  | xmlelement | The XML-element
  | loading | Loading (true) or saving (false)

Returns:
  The XML-element

Reimplemented from orxonox::OverlayText.

References getShowBases(), getShowLeftTeam(), getShowRightTeam(), getShowScore(), setShowBases(), setShowLeftTeam(), setShowRightTeam(), setShowScore(), SUPER, and XMLPortParam.

## Member Data Documentation

bool orxonox::TeamBaseMatchScore::bShowBases_`[private]`

Referenced by TeamBaseMatchScore(), and tick().

bool orxonox::TeamBaseMatchScore::bShowLeftTeam_`[private]`

Referenced by TeamBaseMatchScore(), and tick().

bool orxonox::TeamBaseMatchScore::bShowRightTeam_`[private]`

Referenced by TeamBaseMatchScore(), and tick().

bool orxonox::TeamBaseMatchScore::bShowScore_`[private]`

Referenced by TeamBaseMatchScore(), and tick().

TeamBaseMatch* orxonox::TeamBaseMatchScore::owner_`[private]`

Reimplemented from orxonox::OrxonoxOverlay.

Referenced by changedOwner(), TeamBaseMatchScore(), and tick().

The documentation for this class was generated from the following files:

- src/orxonox/overlays/hud/TeamBaseMatchScore.h
- src/orxonox/overlays/hud/TeamBaseMatchScore.cc